RIO_DEVICE_HAS_DESTI(9)

NAME
rio_device_has_destid - Test if a device contains a destination ID register

SYNOPSIS

int rio_device_has_destid(struct rio_mport * port, int src_ops, int dst_ops);

ARGUMENTS

port
    Master port to issue transaction

src_ops
    RIO device source operations

dst_ops
    RIO device destination operations

DESCRIPTION

Checks the provided src_ops and dst_ops for the necessary transaction capabilities that indicate whether or not a device will implement a destination ID register. Returns 1 if true or 0 if false.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT